#ifndef TABLEPARAMSVIEW_H
#define TABLEPARAMSVIEW_H

#include <QTableView>
#include "misc/TableHeightUpdater.h"
class TableParamsViewUpdater;
class TableParamsModelIface;
class TableAutoScrollMode;
class QAbstractItemModel;
class QSettings;

/* Вспомогательный класс, определяющий таблицу, включающую
 * всю функциональность из TableParamsViewUpdater */
class TableParamsView : public QTableView {
public:
    TableParamsView(QWidget *parent = Q_NULLPTR);

    int selectedRow() const;


    void init(TableParamsModelIface *modelIface, QAbstractItemModel *model = Q_NULLPTR);
    void loadState(const QSettings &set, const QString &key);
    void saveState(QSettings &set, const QString &key) const;
    void saveState() const;
    void reloadState(const QSettings &set, const QString &key);
    void reloadState();
    void addCopyAction();

    void setReadOnly(bool en);

    void enableHeightAutoUpdate(TableHeightUpdater::Flags flags = TableHeightUpdater::NoFlags);
    void enableAutoScroll();
    void enableAutoScroll(const TableAutoScrollMode &mode);
    void enableChangedRowAutoSelect();
private:
    TableParamsViewUpdater *m_updater;
};

#endif // TABLEPARAMSVIEW_H
