#ifndef MULTIICONDELEGATE_H
#define MULTIICONDELEGATE_H

#include <QItemDelegate>

/* делегат служит для отображения нескольких иконок перед текстом, а не одной.
 * По DecorationRole принимает QList<QIcon>
 * Также выравнивает ширину checkBox и иконок для отображения выравненного
 * теста при использовании checkBox-а как альтернативу иконке */
class MultiIconDelegate : public QItemDelegate {
    Q_OBJECT
public:
    MultiIconDelegate(QObject *parent = Q_NULLPTR);

    void paint( QPainter * painter,
                const QStyleOptionViewItem & option,
                const QModelIndex & index ) const;
};

Q_DECLARE_METATYPE(QList<QIcon>);

#endif // MULTIICONDELEGATE_H
