#include "LTR35Config.h"
#include "LTR35TypeInfo.h"
#include "LTR35OutConfig.h"

namespace LQMeas {
    const QString &LQMeas::LTR35Config::typeConfigName() {
        return LTR35TypeInfo::name();
    }

    const DevOutConfig *LTR35Config::outConfig() const {
        return  &m_out;
    }

    const DevInDigConfig *LTR35Config::inDigConfig() const {
        return &m_in;
    }

    const DevOutSyncConfig *LTR35Config::outSyncConfig() const {
        return  &m_out;
    }

    LTR35Config::LTR35Config() :
        m_out{*this, LTR35TypeInfo::defaultInfo()},
        m_in{LTR35TypeInfo::defaultInfo()} {

        addManualConfigIface(&m_sync);
        init();
    }

    LTR35Config::LTR35Config(const LTR35Config &cfg) :
        m_out{cfg.out()},
        m_in{cfg.in()},
        m_sync{cfg.sync()} {

        addManualConfigIface(&m_sync);
        init();
    }

    LTR35Config::~LTR35Config() {

    }


}
