#include "Information.h"
#include "UnitGroups.h"
#include "lqmeas/units/Unit.h"

namespace LQMeas {
    namespace Units {
        QString Information::id() const {return QStringLiteral("unitgroup_information");}
        QString Information::displayName() const {return Groups::tr("Information");}

        QList<const Unit *> Information::units() const {
            static const QList<const Unit *> list {
                &bit()
            };
            return list;
        }

        const Information &Information::group() {
            static const Information gr;
            return gr;
        }


        class InformationUnit : public Unit {
        public:
            const Unit &baseUnit() const override {return Information::bit();}
        };

        const Unit &Information::bit() {
            static const class InformationUnit_bit : public InformationUnit {
            public:
                QString id() const override {return QStringLiteral("inform_bit");}
                QString symbol() const override {return Groups::tr("bit");}
                QString displayFullName() const override {return Groups::tr("bit");}
                QString fullPluralName() const override {return Groups::tr("bits");}
                double multipler() const override {return 1;}
            } u;
            return u;
        }
    }
}
